Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgDB::Registry::ReadFileCallback Class Reference

Inheritance diagram for osgDB::Registry::ReadFileCallback:

[legend]
List of all members.

## Public Member Functions
virtual ReaderWriter::ReadResult | openArchive (const std::string &filename, ReaderWriter::ArchiveStatus status, unsigned int indexBlockSizeHint, const ReaderWriter::Options *useObjectCache)
virtual ReaderWriter::ReadResult | readObject (const std::string &filename, const ReaderWriter::Options *options)
virtual ReaderWriter::ReadResult | readImage (const std::string &filename, const ReaderWriter::Options *options)
virtual ReaderWriter::ReadResult | readHeightField (const std::string &filename, const ReaderWriter::Options *options)
virtual ReaderWriter::ReadResult | readNode (const std::string &filename, const ReaderWriter::Options *options)
## Protected Member Functions
virtual | ~ReadFileCallback ()

## Constructor & Destructor Documentation

virtual osgDB::Registry::ReadFileCallback::~ReadFileCallback | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual ReaderWriter::ReadResult osgDB::Registry::ReadFileCallback::openArchive | ( | const std::string & | filename,
|  | ReaderWriter::ArchiveStatus | status,
|  | unsigned int | indexBlockSizeHint,
|  | const ReaderWriter::Options * | useObjectCache
| ) | `[inline, virtual]`

virtual ReaderWriter::ReadResult osgDB::Registry::ReadFileCallback::readHeightField | ( | const std::string & | filename,
|  | const ReaderWriter::Options * | options
| ) | `[inline, virtual]`

virtual ReaderWriter::ReadResult osgDB::Registry::ReadFileCallback::readImage | ( | const std::string & | filename,
|  | const ReaderWriter::Options * | options
| ) | `[inline, virtual]`

virtual ReaderWriter::ReadResult osgDB::Registry::ReadFileCallback::readNode | ( | const std::string & | filename,
|  | const ReaderWriter::Options * | options
| ) | `[inline, virtual]`

virtual ReaderWriter::ReadResult osgDB::Registry::ReadFileCallback::readObject | ( | const std::string & | filename,
|  | const ReaderWriter::Options * | options
| ) | `[inline, virtual]`

The documentation for this class was generated from the following file:

- osgDB/Registry